## corosync 2.4.4

=== debian/changelog ===
corosync (2.4.4-3) unstable; urgency=high

  * High urgency because 2.4.4 still hasn't reached testing yet.
  * [901fc27] Adjust symbols files to libqb magic 2.
    The powerpcspe and ppc64 build failures were late.
  * [4767a4f] Header dependency generation was removed by mistake
    (Closes: #896528)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 22 Apr 2018 16:47:13 +0200

corosync (2.4.4-2) unstable; urgency=high

  * High urgency FTBFS fix on ppc64el to unblock migration of security fix
  * [63ab152] Adjust symbols files to libqb magic
  * [9d3c9d6] New patch: Please make the manpages reproducible.
    Thanks to Chris Lamb (Closes: #896441)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 21 Apr 2018 11:21:00 +0200

corosync (2.4.4-1) unstable; urgency=high

  [ Valentin Vidic ]
  * [069e127] Replace deprecated Priority: extra.
    Priority optional should be used instead.

  [ Christoph Berg ]
  * [67b0779] Remove Richard and myself from Uploaders

  [ Ferenc Wágner ]
  * [8c93a47] Update old style gbp.conf section names
  * [0863b9c] Old patch gained symbolic renames
  * [aae3275] New patches with various watchdog changes
  * [42da333] Switch to using HTTPS in the homepage URLs
  * [8dfbe1d] New upstream release (2.4.4)
    SECURITY fix for CVE-2018-1084 and similar bugs
  * [e550fa0] Delete upstreamed or misguided patches, refresh the rest.
    SOURCE_DATE_EPOCH is exported by debhelper and used by the upstream build
    system.
    Fully expanded substitutions must be performed by sed rules,
    AC_CONFIG_FILES is not suitable for performing such expansions.
  * [ff3bbdd] Update Standards-Version to 4.1.4 (no changes required)
  * [8da0691] Clean up trailing whitespace under the debian directory
  * [e11ae7f] Switch to Debhelper compat level 11
  * [2c3fa47] Replace hand-made control substitution with stock dpkg method
  * [2b66152] Lintian does not emit embedded-javascript-library for Doxygen
    anymore
  * [d09a1b0] Migrate to salsa.debian.org/ha-team
  * [3483060] Upstart is dead, disable support
  * [1a5e66e] New patch: Fix typo: sucesfully -> successfully
  * [16a5d77] New libqb introduced some helper symbols
    https://github.com/ClusterLabs/libqb/pull/266
  * [5212e89] Make sure to fully expand LOGDIR in the config examples
  * [7d1d319] Make qnetd stay with the DBM NSS DB format for now.
    At least until certutil can handle the upgrade.  The postinst will have
    to be adapted as well.
  * [61d6673] qnetd-certutil uses ps and w
  * [68c3813] New patch: Fix typo: defualt -> default
  * [ecfb1b7] The security patches introduced a new symbol
  * [afab077] The sid toolchain does not add any dependencies to
    libcorosync_common4
  * [cabd81d] Avoid recursive chmod in qnetd postinst.
    Lintian warns about the recursive chmod, but chmod -R g-w isn't an
    escalation vector, because it only takes away permissions.  Still,
    it's better to make the list of affected files explicit.
  * [563c7d8] Test the shipped Augeas lense

 -- Ferenc Wágner <wferi@debian.org>  Fri, 20 Apr 2018 10:20:20 +0200
