=== debian/control ===
Source: corosync
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders:
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Ferenc Wágner <wferi@debian.org>,
Standards-Version: 4.1.4
Build-Depends:
 augeas-tools,
 debhelper (>= 11~),
 dctrl-tools,
 dh-exec,
 groff,
 libdbus-1-dev,
 libnss3-dev,
 libqb-dev (>= 0.12),
 librdmacm-dev [linux-any],
 libsnmp-dev,
# libstatgrab is Linux-only until #823899 and #823900 gets fixed:
 libstatgrab-dev [linux-any],
 libsystemd-dev [linux-any],
 libxml2-dev,
 pkg-config,
 zlib1g-dev
Build-Depends-Indep:
 doxygen,
 graphviz,
Homepage: https://corosync.github.io/corosync/
Vcs-Git: https://salsa.debian.org/ha-team/corosync.git
Vcs-Browser: https://salsa.debian.org/ha-team/corosync
X-Common-Description: The Corosync Cluster Engine is a Group Communication
 System with additional features for implementing high availability within
 applications. The project provides four C Application Programming Interface
 features:
 .
  * A closed process group communication model with virtual synchrony
    guarantees for creating replicated state machines.
  * A simple availability manager that restarts the application process
    when it has failed.
  * A configuration and statistics in-memory database that provide the
    ability to set, retrieve, and receive change notifications of
    information.
  * A quorum system that notifies applications when quorum is achieved
    or lost.

Package: corosync
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 lsb-base (>= 3.0-6),
 adduser,
 xsltproc
Description: cluster engine daemon and utilities
 ${S:X-Common-Description}
 .
 This package contains the Corosync daemon and some administration tools.

Package: corosync-notifyd
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 corosync,
 lsb-base (>= 3.0-6)
Recommends: dbus
# corosync-notifyd was split out of corosync
Breaks: corosync (<< 2.3.5-1~)
Replaces: corosync (<< 2.3.5-1~)
Description: cluster engine notification daemon
 ${S:X-Common-Description}
 .
 This package contains the DBus/SNMP notification daemon for Corosync events.

Package: corosync-qdevice
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 corosync (= ${binary:Version}),
 libnss3-tools,
Description: cluster engine quorum device daemon
 ${S:X-Common-Description}
 .
 This package contains the quorum device daemon and utilities.

Package: corosync-qnetd
Architecture: any
Depends:
 adduser,
 libnss3-tools,
# for ps and w in corosync-qnetd-certutil:
 procps,
 ${shlibs:Depends},
 ${misc:Depends},
Description: cluster engine quorum device network daemon
 ${S:X-Common-Description}
 .
 This package contains the quorum device network daemon running outside
 of clusters with the purpose of providing votes to the corosync-qdevice
 model "net", and some utilities for it.

Package: corosync-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: w3m | www-browser
# /usr/share/doc/corosync/html moved over from corosync
Breaks: corosync (<<2.3.5-1~)
Replaces: corosync (<<2.3.5-1~)
Description: cluster engine HTML documentation
 ${S:X-Common-Description}
 .
 This package contains the Corosync HTML manuals and the API documentation
 generated by Doxygen.

Package: corosync-dev
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 libcorosync-common-dev (>= ${source:Version})
# to avoid not-binnmuable-all-depends-any Lintian error
Description: cluster engine generic development (transitional package)
 ${S:X-Common-Description}
 .
 This package exists for historical reasons to assure a smooth upgrade
 from older versions to the libcorosync-common-dev package.

Package: libcfg6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine CFG library
 ${S:X-Common-Description}
 .
 This package contains the CFG library.

Package: libcmap4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine CMAP library
 ${S:X-Common-Description}
 .
 This package contains the Configuration Map library.

Package: libcorosync-common4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine common library
 ${S:X-Common-Description}
 .
 This package contains the Corosync common library.

Package: libcpg4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine CPG library
 ${S:X-Common-Description}
 .
 This package contains the Closed Process Group library.

Package: libquorum5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine Quorum library
 ${S:X-Common-Description}
 .
 This package contains the Quorum library.

Package: libsam4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine SAM library
 ${S:X-Common-Description}
 .
 This package contains the Simple Availability Manager library.

Package: libtotem-pg5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine Totem library
 ${S:X-Common-Description}
 .
 This package contains the Totem library.

Package: libvotequorum8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine Votequorum library
 ${S:X-Common-Description}
 .
 This package contains the Votequorum library.

Package: libcfg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libcfg6 (= ${binary:Version})
Description: cluster engine CFG library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the CFG library.

Package: libcmap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libcmap4 (= ${binary:Version})
Description: cluster engine CMAP library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Configuration Map library.

Package: libcorosync-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libqb-dev,
 libcorosync-common4 (= ${binary:Version})
# Moved from corosync-dev: /usr/include/corosync/corodefs.h
Replaces: corosync-dev (<< 1.99.9-1)
Breaks: corosync-dev (<< 1.99.9-1)
Description: cluster engine common development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Corosync libraries.

Package: libcpg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libcpg4 (= ${binary:Version})
# Moved from corosync: /usr/share/man/man8/cpg_overview.8.gz
#        corosync-dev: /usr/share/man/man3/cpg_join.3.gz etc.
Replaces:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Breaks:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Description: cluster engine CPG library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Closed Process Group library.

Package: libquorum-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libquorum5 (= ${binary:Version})
Description: cluster engine Quorum library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Quorum library.

Package: libsam-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libsam4 (= ${binary:Version})
# Moved from corosync: /usr/share/man/man8/sam_overview.8.gz
#        corosync-dev: /usr/share/man/man3/sam_stop.3.gz etc.
Replaces:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Breaks:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Description: cluster engine SAM library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Simple Availability Manager library.

Package: libtotem-pg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libtotem-pg5 (= ${binary:Version})
Description: cluster engine Totem library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Totem library.

Package: libvotequorum-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libvotequorum8 (= ${binary:Version})
# Moved from corosync: /usr/share/man/man8/votequorum_overview.8.gz
#        corosync-dev: /usr/share/man/man3/votequorum_fd_get.3.gz etc.
Replaces:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Breaks:
 corosync (<< 1.99.9-1),
 corosync-dev (<< 1.99.9-1)
Description: cluster engine Votequorum library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Votequorum library.
