## corosync 3.0.0

=== debian/changelog ===
corosync (3.0.0-1) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [1f7a1e6] New upstream beta release (2.99.5)
  * [da76f82] Delete upstreamed patches, refresh the rest
    https://github.com/corosync/corosync/issues/81 was fixed in a different
    way.  Qdevice and qnet were split out into a separate project.
  * [572d2a4] dh_installchangelogs finds ChangeLog by itself.
    I guess #711131 might have been the original reason for the override.
  * [db96368] Qdevice and qnet were split out into a separate project
  * [ca28efd] With the Kronosnet dependency Hurd compatibility is off the table
  * [a80ac6f] corosync-notifyd propagates the error since e313bbf
  * [91df99e] RDMA support was removed in 10075a0
  * [cbd44d0] Looks like the upstream init scripts aren't misplaced anymore
  * [cff3ceb] Christoph got the overview man pages moved to the correct sections
    (Closes: #576209)
  * [065839c] The stale SECURITY file was removed by 6bdf096
  * [1d8c4f0] Rename libcfg according to its new SO version
  * [580ad26] Add cmap_initialize_map to libcmap4.symbols
  * [03ddc00] Update Standards-Version to 4.2.1 (no changes required)
  * [71598bf] The debug symbol migration is complete
  * [83ff368] The Lintian tag about shipping INSTALL changed name
  * [2657a3b] Clean up trailing whitespace in debian/changelog
  * [fa7447b] The libtotem-pg library was discontinued (853e5b9)
  * [6bbab6f] New patch: Enable PrivateTmp in the systemd service files
  * [6ddd0bd] Remove corosync-dev, which was already transitional in stretch
  * [6b0129e] Corosync does not use environmental variables anymore
  * [8b272c3] Update source location
  * [be8a155] Update copyright years
  * [382f034] We got rid of the example conffiles during stretch
  * [50b2d8e] Upstream agreed to sign the tarballs, let's check the signature
  * [8057226] Require at least libqb 1.0.3 to avoid binutils issues
    (Closes: #898266)
  * [f69e2aa] Crypto is handled by Kronosnet
  * [2f8aa88] Use the upstream configuration example.
    Nodelist is required now, and it's better to let the token timeout scale
    with the cluster size.  All in all, we might as well patch the upstream
    example into a working configuration.
  * [ff10f63] New upstream release (3.0.0)
  * [6b1357d] Refresh our patches
  * [74f03fc] Adjust autopkgtest to changed output

  [ Andreas Henriksson ]
  * [1b43cee] Fix BASHPATH to make it reproducible.
    Otherwise it's detected differently on merged-usr vs non-merged.
    (Closes: #915224)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 22 Dec 2018 19:40:13 +0100
