=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Ferenc Wágner <wferi@debian.org>,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Build-Depends:
  augeas-tools,
  debhelper (>= 11~),
@@ -13,9 +13,9 @@
  dh-exec,
  groff,
  libdbus-1-dev,
- libnss3-dev,
- libqb-dev (>= 0.12),
- librdmacm-dev [linux-any],
+ libknet-dev,
+# protect backports from silent log loss (#898266):
+ libqb-dev (>= 1.0.3),
  libsnmp-dev,
 # libstatgrab is Linux-only until #823899 and #823900 gets fixed:
  libstatgrab-dev [linux-any],
@@ -72,34 +72,6 @@
  .
  This package contains the DBus/SNMP notification daemon for Corosync events.
 
-Package: corosync-qdevice
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- corosync (= ${binary:Version}),
- libnss3-tools,
-Description: cluster engine quorum device daemon
- ${S:X-Common-Description}
- .
- This package contains the quorum device daemon and utilities.
-
-Package: corosync-qnetd
-Architecture: any
-Depends:
- adduser,
- libnss3-tools,
-# for ps and w in corosync-qnetd-certutil:
- procps,
- ${shlibs:Depends},
- ${misc:Depends},
-Description: cluster engine quorum device network daemon
- ${S:X-Common-Description}
- .
- This package contains the quorum device network daemon running outside
- of clusters with the purpose of providing votes to the corosync-qdevice
- model "net", and some utilities for it.
-
 Package: corosync-doc
 Section: doc
 Architecture: all
@@ -115,20 +87,7 @@
  This package contains the Corosync HTML manuals and the API documentation
  generated by Doxygen.
 
-Package: corosync-dev
-Section: oldlibs
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
- libcorosync-common-dev (>= ${source:Version})
-# to avoid not-binnmuable-all-depends-any Lintian error
-Description: cluster engine generic development (transitional package)
- ${S:X-Common-Description}
- .
- This package exists for historical reasons to assure a smooth upgrade
- from older versions to the libcorosync-common-dev package.
-
-Package: libcfg6
+Package: libcfg7
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -200,18 +159,6 @@
  .
  This package contains the Simple Availability Manager library.
 
-Package: libtotem-pg5
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Description: cluster engine Totem library
- ${S:X-Common-Description}
- .
- This package contains the Totem library.
-
 Package: libvotequorum8
 Section: libs
 Architecture: any
@@ -230,7 +177,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  ${header:Depends},
- libcfg6 (= ${binary:Version})
+ libcfg7 (= ${binary:Version})
 Description: cluster engine CFG library development
  ${S:X-Common-Description}
  .
@@ -322,19 +269,6 @@
  This package contains the headers and other necessary files to build
  applications or libraries that use the Simple Availability Manager library.
 
-Package: libtotem-pg-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
- ${header:Depends},
- libtotem-pg5 (= ${binary:Version})
-Description: cluster engine Totem library development
- ${S:X-Common-Description}
- .
- This package contains the headers and other necessary files to build
- applications or libraries that use the Totem library.
-
 Package: libvotequorum-dev
 Section: libdevel
 Architecture: any
