## corosync 3.0.1

=== debian/changelog ===
corosync (3.0.1-2) unstable; urgency=medium

  * [70f53cb] Switch to Debhelper level 12.
    On level 11 corosync.service is started by the dh_installinit snippet in
    the postinst script, before the dh_installsystemd snippet could enable
    it.  This leads to an immediate stop since version 3.0.1, where
    corosync.service got the StopWhenUnneeded=true directive upstream.
    (Closes: #921265)
  * [5a00d0f] The package reorganization is already complete in stretch
  * [bf80b75] dwz chokes on our binaries currently
  * [c66c615] Minimize upstream signing key

 -- Ferenc Wágner <wferi@debian.org>  Mon, 04 Feb 2019 00:31:24 +0100

corosync (3.0.1-1) unstable; urgency=medium

  * [426b1e4] New upstream release (3.0.1)
  * [c58aa08] Refresh our patches
  * [ca02815] Update Standards-Version to 4.3.0 (no changes required)
  * [a5dd92a] Don't use the orphaned dh-exec, Kronosnet is Linux only in Debian
  * [f5c0f29] Test-drive a bunch of small patches for upstream

 -- Ferenc Wágner <wferi@debian.org>  Fri, 01 Feb 2019 09:15:16 +0100
