=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Uploaders:
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Ferenc Wágner <wferi@debian.org>,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends:
  augeas-tools,
- debhelper (>= 11~),
+ debhelper (>= 12~),
  dctrl-tools,
- dh-exec,
  groff,
  libdbus-1-dev,
  libknet-dev,
@@ -46,7 +45,8 @@
 
 Package: corosync
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  lsb-base (>= 3.0-6),
@@ -59,14 +59,13 @@
 
 Package: corosync-notifyd
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  corosync,
  lsb-base (>= 3.0-6)
 Recommends: dbus
-# corosync-notifyd was split out of corosync
-Breaks: corosync (<< 2.3.5-1~)
-Replaces: corosync (<< 2.3.5-1~)
 Description: cluster engine notification daemon
  ${S:X-Common-Description}
  .
@@ -78,9 +77,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: w3m | www-browser
-# /usr/share/doc/corosync/html moved over from corosync
-Breaks: corosync (<<2.3.5-1~)
-Replaces: corosync (<<2.3.5-1~)
 Description: cluster engine HTML documentation
  ${S:X-Common-Description}
  .
@@ -205,9 +201,6 @@
  ${header:Depends},
  libqb-dev,
  libcorosync-common4 (= ${binary:Version})
-# Moved from corosync-dev: /usr/include/corosync/corodefs.h
-Replaces: corosync-dev (<< 1.99.9-1)
-Breaks: corosync-dev (<< 1.99.9-1)
 Description: cluster engine common development
  ${S:X-Common-Description}
  .
@@ -221,14 +214,6 @@
 Depends: ${misc:Depends},
  ${header:Depends},
  libcpg4 (= ${binary:Version})
-# Moved from corosync: /usr/share/man/man8/cpg_overview.8.gz
-#        corosync-dev: /usr/share/man/man3/cpg_join.3.gz etc.
-Replaces:
- corosync (<< 1.99.9-1),
- corosync-dev (<< 1.99.9-1)
-Breaks:
- corosync (<< 1.99.9-1),
- corosync-dev (<< 1.99.9-1)
 Description: cluster engine CPG library development
  ${S:X-Common-Description}
  .
@@ -255,14 +240,6 @@
 Depends: ${misc:Depends},
  ${header:Depends},
  libsam4 (= ${binary:Version})
-# Moved from corosync: /usr/share/man/man8/sam_overview.8.gz
-#        corosync-dev: /usr/share/man/man3/sam_stop.3.gz etc.
-Replaces:
- corosync (<< 1.99.9-1),
- corosync-dev (<< 1.99.9-1)
-Breaks:
- corosync (<< 1.99.9-1),
- corosync-dev (<< 1.99.9-1)
 Description: cluster engine SAM library development
  ${S:X-Common-Description}
  .
@@ -276,14 +253,6 @@
 Depends: ${misc:Depends},
  ${header:Depends},
  libvotequorum8 (= ${binary:Version})
-# Moved from corosync: /usr/share/man/man8/votequorum_overview.8.gz
-#        corosync-dev: /usr/share/man/man3/votequorum_fd_get.3.gz etc.
-Replaces:
- corosync (<< 1.99.9-1),
- corosync-dev (<< 1.99.9-1)
-Breaks:
- corosync (<< 1.99.9-1),
- corosync-dev (<< 1.99.9-1)
 Description: cluster engine Votequorum library development
  ${S:X-Common-Description}
  .
