=== debian/rules ===
--- 
+++ 
@@ -69,3 +69,6 @@
 override_dh_gencontrol:
 	debian/check_header_deps
 	dh_gencontrol
+
+# dwz fails with "Allocatable section in [...] after non-allocatable ones"
+override_dh_dwz:
