## corosync 3.0.3

=== debian/changelog ===
corosync (3.0.3-2ubuntu2.2) focal-security; urgency=medium

  * SECURITY UPDATE: stack buffer overflow
    - debian/patches/CVE-2025-30472.patch: check size of orf_token msg in
      exec/totemsrp.c.
    - CVE-2025-30472

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Mar 2025 14:23:27 -0400

corosync (3.0.3-2ubuntu2.1) focal; urgency=medium

  * d/p/lp1911904-Don-t-lock-all-current-and-future-memory-if-can-t-in.patch:
    - Don't mlockall() if setrlimit() fails (LP: #1911904)
  * d/p/lp1918735-try-unprivileged-knet-handle-new.patch:
    - Retry knet_handle_new without privileged flag (LP: #1918735)
  * d/t: don't skip tests now that we fixed crashing in container

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 10 Mar 2021 13:00:12 -0500

corosync (3.0.3-2ubuntu2) focal; urgency=medium

  [Jorge Niedbalski]
  * d/control: corosync binary depends on libqb-dev (LP: #1677684)

  [Rafael David Tinoco]
  * debian/corosync-notifyd.init: fix for 2 PIDFILEs declared (LP: #1437359)
  * Post v3.0.3 release fixes backported to Ubuntu (LP: #1869622)
    debian/patches/ubuntu-v3.0.3-fixes/:
    - lp1869622-09f6d34a-logconfig-Remove-double-free-of-value.patch
    - lp1869622-0c118d8f-totemknet-Check-result-of-fcntl-O_NONBLOCK-call.patch
    - lp1869622-0c16442f-votequorum-Change-check-of-expected_votes.patch
    - lp1869622-1fb095b0-notifyd-Check-cmap_track_add-result.patch
    - lp1869622-29109683-totemknet-Assert-strcpy-length.patch
    - lp1869622-35c312f8-votequorum-Assert-copied-strings-length.patch
    - lp1869622-380b744e-totemknet-Don-t-mix-corosync-and-knet-error-codes.patch
    - lp1869622-56ee8503-quorumtool-Assert-copied-string-length.patch
    - lp1869622-5f543465-quorumtool-exit-on-invalid-expected-votes.patch
    - lp1869622-624b6a47-stats-Assert-value_len-when-value-is-needed.patch
    - lp1869622-74eed54a-sync-Assert-sync_callbacks.name-length.patch
    - lp1869622-89b0d62f-stats-Check-return-code-of-stats_map_get.patch
    - lp1869622-8ce65bf9-votequorum-Reflect-runtime-change-of-2Node-to-WFA.patch
    - lp1869622-8ff7760c-cmapctl-Free-bin_value-on-error.patch
    - lp1869622-a24cbad5-totemconfig-Initialize-warnings-variable.patch
    - lp1869622-c631951e-icmap-icmap_init_r-leaks-if-trie_create-fails.patch
    - lp1869622-ca320bea-votequorum-set-wfa-status-only-on-startup.patch
    - lp1869622-efe48120-totemconfig-Free-leaks-found-by-coverity.patch

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Sun, 29 Mar 2020 21:50:35 +0000

corosync (3.0.3-2ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1864087). Remaining changes:
    - Skip autopkgtest for unprivileged containers: (LP: 1828228)
      - d/t/control: allow stderr and mark tests as skippable
      - d/t/{cfgtool,quorumtool}: skips when inside unpriv containers

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 21 Feb 2020 04:33:11 +0000

corosync (3.0.3-2) unstable; urgency=medium

  * [d0a06e5] Separate the autopkgtests and make them generate artifacts
  * [8680d48] Run Salsa CI reprotest with diffoscope
  * [1d89c4f] Recognize the autopkgtest artifacts in Salsa CI
  * [8e09226] New patch: man: move cmap_keys man page from section 8 to 7

 -- Ferenc Wágner <wferi@debian.org>  Sat, 04 Jan 2020 14:07:31 +0100

corosync (3.0.3-1) unstable; urgency=medium

  * [d103a33] New upstream release (3.0.3)
  * [e6f6831] Refresh our patches
  * [f1e85a3] Enable nozzle support
  * [19d3dd3] Package the votequorum simulator in corosync-vqsim
  * [8ae3235] Update Standards-Version to 4.4.1 (no changes required)
  * [bfd9560] Advertise Rules-Requires-Root: no

 -- Ferenc Wágner <wferi@debian.org>  Sat, 07 Dec 2019 23:02:16 +0100

corosync (3.0.2-1ubuntu2) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 17:55:39 +0000

corosync (3.0.2-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: mark corosync test as skippable
      + d/t/corosync: skip if memlock can't be set to unlimited by root

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 04 Nov 2019 17:37:30 -0300

corosync (3.0.2-1) unstable; urgency=medium

  * [163a97e] Releases can already be downloaded over HTTPS (#413)
  * [2884ec0] New upstream release (3.0.2)
  * [937a16e] Delete upstreamed patches, refresh the rest
  * [56f5a8b] Enroll to basic Salsa CI
  * [45fb249] Update Standards-Version to 4.4.0 (no changes required)
  * [05e7216] Switch to the debhelper-compat way
  * [a60406a] New patch: man: fix typo: avaialable
  * [0b7debb] Adjust autopkgtest to the new cfgtool output format

 -- Ferenc Wágner <wferi@debian.org>  Sun, 25 Aug 2019 16:48:57 +0200

corosync (3.0.1-2ubuntu1) eoan; urgency=medium

  * Skip autopkgtest for unprivileged containers: (LP: #1828228)
    - d/t/control: mark corosync test as skippable
    - d/t/corosync: skip if memlock can't be set to unlimited by root

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 22 Jul 2019 18:38:46 +0000
