=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: corosync
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Ferenc Wágner <wferi@debian.org>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends:
  augeas-tools,
- debhelper (>= 12~),
+ debhelper-compat (= 12),
  dctrl-tools,
  groff,
  libdbus-1-dev,
  libknet-dev,
+ libnozzle-dev,
 # protect backports from silent log loss (#898266):
  libqb-dev (>= 1.0.3),
+ libreadline-dev,
  libsnmp-dev,
 # libstatgrab is Linux-only until #823899 and #823900 gets fixed:
  libstatgrab-dev [linux-any],
@@ -25,6 +28,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
+Rules-Requires-Root: no
 Homepage: https://corosync.github.io/corosync/
 Vcs-Git: https://salsa.debian.org/ha-team/corosync.git
 Vcs-Browser: https://salsa.debian.org/ha-team/corosync
@@ -51,7 +55,9 @@
  ${misc:Depends},
  lsb-base (>= 3.0-6),
  adduser,
- xsltproc
+ xsltproc,
+# corosync-blackbox: qb-blackbox dependency (LP: #1677684)
+ libqb-dev
 Description: cluster engine daemon and utilities
  ${S:X-Common-Description}
  .
@@ -70,6 +76,18 @@
  ${S:X-Common-Description}
  .
  This package contains the DBus/SNMP notification daemon for Corosync events.
+
+Package: corosync-vqsim
+Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+Description: cluster engine votequorum simulator
+ ${S:X-Common-Description}
+ .
+ This package contains the Corosync votequorum simulator.  It
+ can simulate multiple nodes, network splits and a basic quorum device.
 
 Package: corosync-doc
 Section: doc
