=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,11 @@
 	    $(enable-monitoring) \
 	    $(enable-watchdog) \
 	    --enable-augeas \
+	    --enable-nozzle \
 	    --enable-snmp \
 	    --enable-xmlconf \
 	    $(enable-systemd) \
+	    --enable-vqsim \
 	    --disable-static
 
 override_dh_auto_build-indep:
