=== debian/tests/control ===
Depends: @
Restrictions: needs-root, isolation-container, allow-stderr
Tests: cfgtool quorumtool
