## corosync 3.1.0

=== debian/changelog ===
corosync (3.1.0-2ubuntu3) hirsute; urgency=medium

  * d/p/lp1918735-try-unprivileged-knet-handle-new.patch,
    d/p/lp1918735/0001-try-unprivileged-knet-handle-new.patch,
    d/p/lp1918735/0002-allow_knet_handle_fallback_default_yes.patch:
    - Update patch with final adjustments from upstream,
      adding conf param which we default to enabled

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 19 Mar 2021 07:45:13 -0400

corosync (3.1.0-2ubuntu2) hirsute; urgency=medium

  * d/p/lp1911904-Don-t-lock-all-current-and-future-memory-if-can-t-in.patch:
    - Don't mlockall() if setrlimit() fails (LP: #1911904)
  * d/p/lp1918735-try-unprivileged-knet-handle-new.patch:
    - Retry knet_handle_new without privileged flag (LP: #1918735)
  * d/t: don't skip tests now that we fixed crashing in container

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 10 Mar 2021 12:55:26 -0500

corosync (3.1.0-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: allow stderr and mark tests as skippable
      + d/t/{cfgtool,quorumtool}: skips when inside unpriv containers
    - d/control: corosync binary depends on libqb-dev
      (LP #1677684)
  * Dropped:
    - Post v3.0.3 release fixes backported to Ubuntu (LP #1869622)
      debian/patches/ubuntu-v3.0.3-fixes/:
      + lp1869622-09f6d34a-logconfig-Remove-double-free-of-value.patch
      + lp1869622-0c118d8f-totemknet-Check-result-of-fcntl-O_NONBLOCK-call.patch
      + lp1869622-0c16442f-votequorum-Change-check-of-expected_votes.patch
      + lp1869622-1fb095b0-notifyd-Check-cmap_track_add-result.patch
      + lp1869622-29109683-totemknet-Assert-strcpy-length.patch
      + lp1869622-35c312f8-votequorum-Assert-copied-strings-length.patch
      + lp1869622-380b744e-totemknet-Don-t-mix-corosync-and-knet-error-codes.patch
      + lp1869622-56ee8503-quorumtool-Assert-copied-string-length.patch
      + lp1869622-5f543465-quorumtool-exit-on-invalid-expected-votes.patch
      + lp1869622-624b6a47-stats-Assert-value_len-when-value-is-needed.patch
      + lp1869622-74eed54a-sync-Assert-sync_callbacks.name-length.patch
      + lp1869622-89b0d62f-stats-Check-return-code-of-stats_map_get.patch
      + lp1869622-8ce65bf9-votequorum-Reflect-runtime-change-of-2Node-to-WFA.patch
      + lp1869622-8ff7760c-cmapctl-Free-bin_value-on-error.patch
      + lp1869622-a24cbad5-totemconfig-Initialize-warnings-variable.patch
      + lp1869622-c631951e-icmap-icmap_init_r-leaks-if-trie_create-fails.patch
      + lp1869622-ca320bea-votequorum-set-wfa-status-only-on-startup.patch
      + lp1869622-efe48120-totemconfig-Free-leaks-found-by-coverity.patch
      [applied by upstream]
    - debian/corosync-notifyd.init: fix for 2 PIDFILEs declared (LP #1437359)
      [fixed in Debian]
    - Post v3.0.3 release fixes backported to Ubuntu (LP #1895366)
      debian/patches/ubuntu-v3.0.3-fixes/:
      + lp1895366-7f64a1dc-cmapctl-return-error-on-no-result-of-print-prefix.patch
      + lp1895366-ec889e89-cmapctl-check-NULL-for-key-type-and-value-for-p.patch
      + lp1895366-9105d94a-cmapctl-return-EXIT_FAILURE-on-failure.patch
      + lp1895366-21e1c711-cfgtool-Remove-unused-callbacks.patch
      + lp1895366-ee38d93c-cpghum-Remove-unused-time-variables-and-functions.patch
      + lp1895366-f31a31f9-cmap-Assert-copied-string-length.patch
      [applied by upstream]
    - d/{libcfg7,libcmap4,libcpg4,libquorum5,libsam4,libvotequorum8}.symbols:
      Drop linker magic injecting start/stop symbols due to libqb 2
      update.
      Thanks to Ferenc Wágner <wferi@debian.org>.
      [fixed in Debian]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 19 Jan 2021 17:55:45 -0300

corosync (3.1.0-2) unstable; urgency=medium

  * [d92f1d8] Drop the log directory placeholder file.
    According to #604807 the buster logrotate already skips missing
    directories gracefully, so we don't need this workaround anymore,
    as #588515 is fixed.
  * [ace09cc] libqb 2 dropped the linker magic injecting start/stop symbols
  * [52cf9ae] Update Standards-Version to 4.5.1 (no changes needed)

 -- Ferenc Wágner <wferi@debian.org>  Fri, 01 Jan 2021 09:11:36 +0100

corosync (3.1.0-1) unstable; urgency=medium

  * [25c1719] New upstream release (3.1.0)
  * [124e796] Drop upstreamed patches, refresh the rest
  * [b63c8d2] The upstream default systemd directory moved into /usr.
    But Debian still uses /lib/systemd/system for unit files.
  * [a950a80] Wildcard all installed shared object versions.
    So they don't need changing on future version bumps (like the current
    libquorum.so.5.0.0 -> 5.1.0).
  * [2354b72] Update libquorum5 symbols file

 -- Ferenc Wágner <wferi@debian.org>  Mon, 26 Oct 2020 20:26:19 +0100

corosync (3.0.4-2) unstable; urgency=medium

  * [cff365e] autopkgtest fix: cfgtool output got reworked in 3.0.4.
    Since 720a892 the status of the localhost link is not displayed, because
    it is safe to expect that it is always connected.

 -- Ferenc Wágner <wferi@debian.org>  Wed, 30 Sep 2020 15:32:39 +0200

corosync (3.0.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [b31fa99] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ Ferenc Wágner ]
  * [5a801c3] Current dwz works already.
    This reverts bf80b75 and also adds a version constraint.
  * [686d0b0] New upstream release (3.0.4)
  * [51bcecc] Delete upstreamed patch, refresh the rest
  * [2ddaa1e] Update Standards-Version to 4.5.0 (no changes required)
  * [8ecf0a6] New patch: man: votequorum.5: use proper single quotes

  [ Rafael David Tinoco ]
  * [4f72296] * debian/corosync-notifyd.init: fix for 2 PIDFILEs declared
    (LP: #1437359)

 -- Ferenc Wágner <wferi@debian.org>  Wed, 30 Sep 2020 12:45:33 +0200

corosync (3.0.3-2ubuntu6) hirsute; urgency=medium

  * d/{libcfg7,libcmap4,libcpg4,libquorum5,libsam4,libvotequorum8}.symbols:

