=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
 Uploaders:
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Ferenc Wágner <wferi@debian.org>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Build-Depends:
  augeas-tools,
  debhelper-compat (= 12),
  dctrl-tools,
+# maybe too strict, but the buster dwz failed:
+ dwz (>= 0.13-5),
  groff,
  libdbus-1-dev,
  libknet-dev,
