## corosync 3.1.2

=== debian/changelog ===
corosync (3.1.2-2+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2025-3047
    fix a stack-based buffer overflow via a large UDP packet

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Sep 2025 17:03:02 +0200

corosync (3.1.2-2) unstable; urgency=medium

  * [f641780] New patch: stats: fix crash when iterating over deleted keys.
    Cherry-picked from v3.1.4.
    Thanks to Christine Caulfield

 -- Ferenc Wágner <wferi@debian.org>  Mon, 05 Jul 2021 09:11:09 +0200

corosync (3.1.2-1) unstable; urgency=medium

  * [2c66d6d] New upstream release (3.1.2)
  * [158e261] Drop upstreamed patch, refresh the rest

 -- Ferenc Wágner <wferi@debian.org>  Wed, 07 Apr 2021 14:19:13 +0200

corosync (3.1.1-1) unstable; urgency=medium

  * [d0fe5b2] New upstream release (3.1.1) (Closes: #985070)
  * [e867d55] Refresh our patches
  * [9d9b3d5] Acknowledge new symbols
  * [069e608] Adapt autopkgtest to the new cfgtool output format
  * [a447ac3] New patch: totemknet: pass correct handle to knet_handle_compress.
    Thanks to Fabio M. Di Nitto (Closes: #986325)
  * [dc2b18f] New patch: man: corosync-cfgtool.8: use proper single quotes

 -- Ferenc Wágner <wferi@debian.org>  Sat, 03 Apr 2021 17:27:29 +0200

corosync (3.1.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * [b8b9ff1] Reduce Build-Depends
    + Drop unused libxml2-dev dependency. It deals with xml via xsltproc.
    + Drop unused augeas-tools dependency. While it ships a lens, it does not
      further integrate with augeas. (Closes: #980989)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 28 Feb 2021 10:06:39 +0100
