=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: corosync
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Ferenc Wágner <wferi@debian.org>,
 Standards-Version: 4.5.1
 Build-Depends:
- augeas-tools,
  debhelper-compat (= 12),
  dctrl-tools,
 # maybe too strict, but the buster dwz failed:
@@ -24,7 +22,6 @@
 # libstatgrab is Linux-only until #823899 and #823900 gets fixed:
  libstatgrab-dev [linux-any],
  libsystemd-dev [linux-any],
- libxml2-dev,
  pkg-config,
  zlib1g-dev
 Build-Depends-Indep:
@@ -57,9 +54,7 @@
  ${misc:Depends},
  lsb-base (>= 3.0-6),
  adduser,
- xsltproc,
-# corosync-blackbox: qb-blackbox dependency (LP: #1677684)
- libqb-dev
+ xsltproc
 Description: cluster engine daemon and utilities
  ${S:X-Common-Description}
  .
