=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	    BASHPATH=/bin/bash \
 	    --with-initconfigdir=/etc/default \
 	    --with-logdir=/var/log/corosync \
+	    --with-systemddir=/lib/systemd/system \
 	    --enable-dbus \
 	    $(enable-monitoring) \
 	    $(enable-watchdog) \
@@ -71,6 +72,3 @@
 override_dh_gencontrol:
 	debian/check_header_deps
 	dh_gencontrol
-
-# dwz fails with "Allocatable section in [...] after non-allocatable ones"
-override_dh_dwz:
