=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ \
  https://build.clusterlabs.org/corosync/releases/corosync@ANY_VERSION@@ARCHIVE_EXT@
