## corosync 3.1.5

=== debian/changelog ===
corosync (3.1.5-2) unstable; urgency=medium

  * [a836090] Revert "No need to override the default /usr/lib/systemd/system
    systemd directory anymore"
    This reverts commit e710e1f5bec1bcbc9d47f639701a6f2fde54346b.
    dh_installsystemd apparently does not find the service files under
    /usr/lib, and consequently does not insert the maintainer script
    snippets necessary to start the services on installation (for example).

 -- Ferenc Wágner <wferi@debian.org>  Fri, 01 Oct 2021 20:28:56 +0200

corosync (3.1.5-1) unstable; urgency=medium

  * [929fb0c] New upstream release (3.1.5)
  * [56b0b8f] Remove upstreamed patches, refresh the rest
  * [f231d94] Switch to Debhelper compatibility level 13
  * [65638bc] Update Standards-Version to 4.6.0 (no changes required)
  * [e710e1f] No need to override the default /usr/lib/systemd/system systemd
    directory anymore

 -- Ferenc Wágner <wferi@debian.org>  Thu, 30 Sep 2021 22:38:39 +0200
